Package org.apache.sysds.runtime.lineage

# Enum Class LineageItem.LineageItemType

java.lang.Object
java.lang.Enum<LineageItem.LineageItemType>
org.apache.sysds.runtime.lineage.LineageItem.LineageItemType

All Implemented Interfaces:
  `Serializable`, `Comparable<LineageItem.LineageItemType>`, `Constable`

Enclosing class:
  LineageItem

public static enum LineageItem.LineageItemType extends Enum<LineageItem.LineageItemType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Creation`
`Dedup`
`Instruction`
`Literal`

## Method Summary

Modifier and Type
Method
Description
`static LineageItem.LineageItemType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LineageItem.LineageItemType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Literal

public static final LineageItem.LineageItemType Literal

### Creation

public static final LineageItem.LineageItemType Creation

### Instruction

public static final LineageItem.LineageItemType Instruction

### Dedup

public static final LineageItem.LineageItemType Dedup

## Method Details

### values

public static LineageItem.LineageItemType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LineageItem.LineageItemType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null